<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'customlabel', language 'en', version '2.4'.
 *
 * @package     customlabel
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['adminmetadata'] = 'Classifiers configuration';
$string['category'] = 'Category';
$string['changetypeadvice'] = 'You are about to thange the internal data structure of this element. Old content cannot be maintained. Continue?';
$string['classification'] = 'Classification';
$string['classificationconstrainttable'] = 'Classification Constraints Table';
$string['classificationconstrainttable_help'] = 'This table is capable to map the value pairs wich are not compatible.';
$string['classificationmodel'] = 'Data Model for Classification';
$string['classificationtypetable'] = 'Classification Types Table';
$string['classificationtypetable_help'] = 'This table provides domains of classification. A domain holds a set of values.';
$string['classificationvaluetable'] = 'Classification Values Table';
$string['classificationvaluetable_help'] = 'This table provides all values for all classifiers defined in the Type Table.';
$string['classificationvaluetypekey'] = 'Type key for values';
$string['classificationvaluetypekey_help'] = 'This must define the table column name that is used to key the type ownership on values.';
$string['classifiers'] = 'Classifiers';
$string['classifierstypes'] = 'Classifiers type';
$string['code'] = 'Code';
$string['commands'] = 'Commands';
$string['configusesafestorage'] = 'If enabled, any old storage will be converted when edited. New storage will be used for converted items.';
$string['constraints'] = 'Constraints';
$string['content'] = 'Content';
$string['coursemetadatacoursekey'] = 'Course Metadata Course Key';
$string['coursemetadatacoursekey_help'] = 'This must define a column name in database that maps a record to a course ID.';
$string['coursemetadatatable'] = 'Course Metadata Table';
$string['coursemetadatatable_help'] = 'This table provides course to metadata bindings.';
$string['coursemetadatavaluekey'] = 'Course Metadata Value Key';
$string['coursemetadatavaluekey_help'] = 'This must define a column name in database that maps a record to a metadata value.';
$string['customlabel:addinstance'] = 'Can add an instance';
$string['customlabel:fullaccess'] = 'Full access to all fields';
$string['customlabeltools'] = 'Mass tools for custom labels';
$string['doupdate'] = 'Update !!';
$string['down'] = 'Down';
$string['editclass'] = 'Update classifier class';
$string['editvalues'] = 'Edit values';
$string['enabletype'] = 'Enable subtype';
$string['errorclassloading'] = 'Error loading : Null class';
$string['errorfailedloading'] = 'Failed loading class for custom label {$a}. Reverting to "text" customlabel.';
$string['errorinsertvalue'] = 'Could not insert a new value';
$string['errorupdatevalue'] = 'Could not update a new value';
$string['exclude'] = 'Exclude';
$string['exportdata'] = 'Export data to XML';
$string['filter'] = 'Filter';
$string['hiddenrolesfor'] = 'Roles that CANNOT USE';
$string['include'] = 'Include';
$string['labelclass'] = 'Label type';
$string['labelclasses'] = 'Element classes';
$string['labelupdater'] = '{$a} Regeneration Tool';
$string['languages'] = 'Language';
$string['metadata'] = 'Metadata values';
$string['metadataset'] = 'Classification values';
$string['missingfields'] = 'Mandatory fields have not been defined';
$string['model'] = 'Data Model';
$string['modulename'] = 'Course element';
$string['modulename_help'] = 'Course Elements provide you with pedagogic modules that are already layout and
designed for serving some high level pedagogic needs. Course elements have subtypes that address common
learning actions : work to do, soluce, see also (optional reference), local goals, reminder, and some
editioral helpers such as course captions. Administrator can integrate specific models with additional
editorial value such as using prefitted image bank, or tagging courses,
You just need to enter the appropriate data in each module
and register.';
$string['modulenameplural'] = 'Course elements';
$string['name'] = 'Label';
$string['noclassifiers'] = 'No classifier';
$string['nocontentforthislanguage'] = 'No content available for this language<br/>';
$string['none'] = 'Undefined';
$string['notypes'] = 'No classifier type';
$string['novalues'] = 'No registered value';
$string['pluginadministration'] = 'Course element administration';
$string['pluginname'] = 'Course element';
$string['qualifiers'] = 'Qualifiers';
$string['regenerate'] = 'Regenerate';
$string['regeneration'] = 'Content mass regeneration';
$string['resourcetypecustomlabel'] = 'Course element';
$string['roleaccesstoelements'] = 'Access per role';
$string['sametypes'] = 'You cannot constraint twice the same type';
$string['storage'] = 'Storage model';
$string['templatenotfound'] = 'Template {$a} not found';
$string['text'] = 'Text';
$string['title'] = 'Element name';
$string['typename'] = 'Name';
$string['typetype'] = 'Type';
$string['up'] = 'Up';
$string['updateall'] = 'Update all instances';
$string['updatelabels'] = 'Regenerate instances of {$a}';
$string['updatescope'] = 'Updating scope';
$string['usedas'] = 'Use as';
$string['usesafestorage'] = 'Use safe storage for content (base64)';
$string['value'] = 'Value';
