<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_aardvark', language 'en', version '2.4'.
 *
 * @package     theme_aardvark
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['backcolor'] = 'Background Colour';
$string['backcolordesc'] = 'Change the colour of the background. (This is the area either side of the main content and does not affect the main content area)';
$string['backimage'] = 'Background Image';
$string['backimagedesc'] = 'Change the background image in the graphic wrap. It\'s currently a cloud blue blur, but if that\'s making you a bit light headed then paste the URL of the image you want to use in here or clear it for a blank background.';
$string['backposition'] = 'Background Image Position';
$string['backpositioncentred'] = 'Centred';
$string['backpositiondesc'] = 'Choose between a centred image or a tiled image.';
$string['backpositionfixed'] = 'Centred (Fixed)';
$string['backpositionrepeat'] = 'Repeat (Horizonal)';
$string['backpositiontiled'] = 'Repeat (Tiled)';
$string['blogger'] = 'Blogger URL';
$string['bloggerdesc'] = 'Enter the URL of your Blogger page. (i.e http://www.blogger.com/mycollege)';
$string['ceop'] = 'CEOP';
$string['ceopaus'] = 'Enable Australia';
$string['ceopdesc'] = 'Enable CEOP reporting.';
$string['ceopnone'] = 'Disabled';
$string['ceopuk'] = 'Enable United Kingdom';
$string['choosereadme'] = 'Aardvark is a three column fixed-width theme for Moodle 2.1+ originally created by Shaun Daubney for <a href="http://www.newbury-college.ac.uk">Newbury College</a>';
$string['configtitle'] = 'aardvark theme';
$string['copyright'] = 'Copyright';
$string['copyrightdesc'] = 'The name of your organisation.';
$string['credit'] = 'Based on an original theme created by Shaun Daubney';
$string['disclaimer'] = 'Disclaimer';
$string['disclaimerdesc'] = 'The content from this textarea will be displayed in the footer of every page.';
$string['email'] = 'Email';
$string['emailurl'] = 'Email URL';
$string['emailurldesc'] = 'Enter the URL of your email service. (i.e http://mail.mycollege.ac.uk or http://www.mycollege.edu/mail)';
$string['facebook'] = 'Facebook URL';
$string['facebookdesc'] = 'Enter the URL of your Facebook page. (i.e http://www.facebook.com/mycollege)';
$string['fixedwidth'] = 'Fixed Width (Recommended)';
$string['flickr'] = 'Flickr URL';
$string['flickrdesc'] = 'Enter the URL of your Flickr page. (i.e http://www.flickr.com/mycollege)';
$string['gap'] = 'Mind the Gap';
$string['gapdesc'] = 'Choose whether your site has a gap between the menu bar and the page contents.';
$string['googleplus'] = 'Google+ URL';
$string['googleplusdesc'] = 'Enter the URL of your Google+ profile. (i.e http://plus.google.com/107817105228930159735)';
$string['hidemenu'] = 'Hide Menu when Logged Out';
$string['hidemenudesc'] = 'Force users to log in before accessing the menu. If YES then menu options are hidden from users before they log in.';
$string['instagram'] = 'Instagram URL';
$string['instagramdesc'] = 'Enter the URL of your Instagram page (via web.stagram). (i.e http://web.stagram.com/n/mycollege/)';
$string['linkedin'] = 'LinkedIn URL';
$string['linkedindesc'] = 'Enter the URL of your LinkedIn profile. (i.e http://www.linkedin.com/company/mycollege)';
$string['logo'] = 'Logo';
$string['logodesc'] = 'Change the logo of this theme by entering the URL to a new one (i.e., http://www.somesite/logo.png). There is currently a max width of 200px. As a reference, the default logo is 113px by 43px. A transparent .png will work best.';
$string['menubackcolor'] = 'Menu Background Colour';
$string['menubackcolordesc'] = 'Change the colour of the menu bar.';
$string['menuhovercolor'] = 'Menu Hover Colour';
$string['menuhovercolordesc'] = 'Change the colour of linked items on the menu bar.';
$string['picasa'] = 'Picasa URL';
$string['picasadesc'] = 'Enter the URL of your Picasa page. (i.e http://picasaweb.google.com/107817105228930159735)';
$string['pluginname'] = 'Aardvark';
$string['profilebarcustom'] = 'Profile Bar Custom Block';
$string['profilebarcustomdesc'] = 'Add text, images or HTML to be displayed within the Profile Bar.';
$string['profilebarcustomtitle'] = 'Profile Bar Custom Block Title';
$string['profilebarcustomtitledesc'] = 'Title for custom Profile Bar block';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['titledate'] = 'Frontpage Date';
$string['titledatedesc'] = 'Display today&apos;s date on the frontpage.';
$string['tumblr'] = 'Tumblr URL';
$string['tumblrdesc'] = 'Enter the URL of your Tumblr page. (i.e http://mycollege.tumblr.com)';
$string['twitter'] = 'Twitter URL';
$string['twitterdesc'] = 'Enter the URL of your Twitter feed. (i.e http://www.twitter.com/mycollege)';
$string['variablewidth'] = 'Fluid Width (Experimental)';
$string['vimeo'] = 'Vimeo URL';
$string['vimeodesc'] = 'Enter the URL of your Vimeo channel. (i.e http://www.vimeo.com/mycollege)';
$string['width'] = 'Width';
$string['widthdesc'] = 'Choose whether your site is displayed as a fixed with of 960px or a fluid width of 100%.';
$string['youtube'] = 'YouTube URL';
$string['youtubedesc'] = 'Enter the URL of your YouTube channel. (i.e http://www.youtube.com/mycollege)';
